Package: org.codehaus.groovy.util

## [Java] Class EntryWithValue<K, V>

- org.codehaus.groovy.util.ManagedConcurrentMap.EntryWithValue

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedConcurrentMap.EntryWithValue (ReferenceBundle bundle, Segment segment, K key, int hash, V value)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `finalizeRef()`
    `V` | `getValue()`
    `void` | `setValue(V value)`

- - ### Constructor Detail

    - #### public ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, Segment segment, K key, int hash, V value)

  - ### Method Detail

    - #### public void finalizeRef()

    - #### public V getValue()

    - #### public void setValue(V value)